<?php

use EventPortal\Domain\Event\Enums\EventStatus;
use EventPortal\Domain\Event\Models\Event;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Event::class, static function ($faker) {
    return [
        'name' => $faker->word,
    ];
});

$factory->state(Event::class, 'archived', static function ($faker) {
    return [
        'status' => EventStatus::unpublished(),
        'archived_at' => now(),
    ];
});
