<?php

namespace EventPortal\Http\Controllers\Admin\Event;

use EventPortal\Domain\Event\Actions\UnArchiveEvent;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;

class UnArchiveEventController extends Controller
{
    public function __invoke(Event $event, UnArchiveEvent $action): RedirectResponse
    {
        $action->execute($event);

        return redirect()->route('admin.event.index');
    }
}
