<?php

namespace EventPortal\Tests\Unit\Event\Options;

use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Event\Options\EventStatuses;
use EventPortal\Tests\TestCase;

class EventStatusesTest extends TestCase
{
    /** @test **/
    public function can_get_event_statues_as_options()
    {
        $expected = [
            Option::make('Unpublished')->value('unpublished'),
            Option::make('Registration Open')->value('registration_open'),
            Option::make('Closed')->value('closed'),
            Option::make('Post Event')->value('post_event'),
        ];

        $this->assertEquals($expected, EventStatuses::get());
    }
}
