<?php

namespace EventPortal\Domain\Delegate\Handlers;

use Closure;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Form\Payload;

class CreateDelegate
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $payload->addToInput(['user_id' => $payload->getModel()->id]);

        $delegate = Delegate::create($payload->getInput());

        $payload->addContext('delegate', $delegate);

        return $next($payload);
    }
}
