<?php

namespace EventPortal\Domain\Event\Handlers;

use Closure;
use EventPortal\Domain\Event\Enums\EventStatus;
use EventPortal\Domain\Form\Payload;

class SetAsUnpublished
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $payload->getModel()->setStatus(EventStatus::unpublished());

        return $next($payload);
    }
}
