<?php

namespace EventPortal\Domain\Event\Options;

use EventPortal\Contracts\Options;
use EventPortal\Domain\Component\Option;
use EventPortal\Domain\Event\Enums\EventStatus;

class EventStatuses implements Options
{
    public static function get(): array
    {
        $options = [];

        foreach (EventStatus::getAll() as $status) {
            $options[] = Option::make($status->getName())->value($status->getValue());
        }

        return $options;
    }
}
